/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/* ***************************************************** */
/********************************************************************/
#pragma once

struct IActionManager;

/// @class IActionTarget IActionTarget.h "Undo/IActionTarget.h"
/// アクション（履歴の単位）クラスのインターフェイス。
struct IActionTarget
{
	virtual IActionManager* GetActionManager() = 0;
	virtual const IActionManager* GetActionManager() const = 0;
	virtual void SetActionManager(IActionManager* pMgr) = 0;

	virtual bool IsDirty() const = 0;
	virtual void SetDirtyFlag(bool bDirty = true) = 0;
};
